# Google Cloud Deployment Manager API V2 . types

## Instance Methods

Lists all resource types for Deployment Manager.

Retrieves the next page of results.

### Method Details

`list(project, maxResults=None, pageToken=None, filter=None)`

    Lists all resource types for Deployment Manager.

    Args:
      project: string, The project ID for this request. (required)
      maxResults: integer, Maximum count of results to be returned.
      pageToken: string, Tag returned by a previous list request when that list was truncated to maxResults. Used to continue a previous list request.
      filter: string, Filter expression for filtering listed resources.

    Returns:
      An object of the form:

        { # A response that returns all Types supported by Deployment Manager
        "nextPageToken": "A String", # A token used to continue a truncated list request.
        "types": [ # [Output Only] A list of resource types supported by Deployment Manager.
          { # A resource type supported by Deployment Manager.
            "name": "A String", # Name of the type.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.